Page MenuHomePhabricator

llvm.noalias - Pointer comparison folding should look through them
ClosedPublic

Authored by hfinkel on Apr 30 2015, 8:45 AM.

Details

Summary

This is part of the series started by D9375, and makes sure that pointer comparison folding that look though calls to llvm.noalias.

Event Timeline

hfinkel updated this revision to Diff 24721.Apr 30 2015, 8:45 AM
hfinkel retitled this revision from to llvm.noalias - Pointer comparison folding should look through them.
hfinkel updated this object.
hfinkel edited the test plan for this revision. (Show Details)
hfinkel added reviewers: reames, chandlerc.
hfinkel added a subscriber: Unknown Object (MLST).
reames edited edge metadata.May 12 2015, 3:51 PM

This patch appears to either be missing pieces, or I'm not aware of a dependency.

reames resigned from this revision.Oct 8 2015, 10:24 AM
reames removed a reviewer: reames.

Resigning as a reviewer to get a very stale review off my list of blocking tasks in phabricator. Please reopen when desired.

hfinkel updated this revision to Diff 63345.Jul 8 2016, 3:58 PM

Rebased.

majnemer accepted this revision.Jul 10 2016, 12:50 AM
majnemer added a reviewer: majnemer.
majnemer added a subscriber: majnemer.

LGTM

This revision is now accepted and ready to land.Jul 10 2016, 12:50 AM
This revision was automatically updated to reflect the committed changes.